WordPress.org

Support

Support » Installation » Upgrade from ver 2.6 to 2.8.4 failed

Upgrade from ver 2.6 to 2.8.4 failed

  • The admin dashboard indicated that my version of WordPress was outdated. It provided a link (not an automatic installation option) to upgrade to 2.8.4. I downloaded the WordPress 2.8.4 install file and attempted to follow the manual upgrade instructions found here. I of course backed up my entire site.

    1. First, I deactivated all plugins as instructed and deleted a couple of directories also as instructed.
    2. Then using cPanel and Filezilla, I uploaded and extracted the zip file, which placed everything in the ./wordpress folder.
    3. I had to then move all files to the root folder.
    4. The wp-config.php file was nearly identical to the wp-config-sample.php file, so I didn’t change anything.
    5. I returned to the admin panel, and it was left unchanged, and it still states that I need to upgrade, since I’m using version 2.6.

    What did I do wrong? Is there no automatic upgrade available?

Viewing 8 replies - 1 through 8 (of 8 total)
  • Did you run the wordpress/wp-admin/upgrade.php script?

    Well it’s saying:

    Your WordPress database is already up-to-date!

    It’s not though.

    esmi

    @esmi

    Forum Moderator

    Try using Tools/Upgrade/Re-install Automatically.

    I don’t think there’s a “Tools” menu.

    Try uploading the source code again. If you have Cpanel, the best way to upload the code is to just upload the zip file and unzip it with file manager. See the following video for complete details.
    [link moderated]

    cPanel is exactly how I did the install. I’ll watch the video again.

    cPanel is exactly…

    Not if you used Cpanel and Filezilla…my point is, if you have Cpanel, then you don’t need Filezilla and you can eliminate the possibility of ftp transfer problems.

    Okay. I will carefully try the tutorial, as it seems very thorough. I will let you know how I make out. Thanks, figaro.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Upgrade from ver 2.6 to 2.8.4 failed’ is closed to new replies.